osl::rating::RelativeKingXGroup Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::rating::RelativeKingXGroup Struct Reference

`#include <squareGroup.h>`

Inheritance diagram for osl::rating::RelativeKingXGroup:
[legend]
Collaboration diagram for osl::rating::RelativeKingXGroup:
[legend]

## Public Member Functions
| RelativeKingXGroup (bool a)
void | show (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move move, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, vector< double > &weights) const

## Public Attributes
bool | attack
Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 13 of file squareGroup.h.

## Constructor & Destructor Documentation

osl::rating::RelativeKingXGroup::RelativeKingXGroup | ( | bool | a) |  |

Definition at line 6 of file squareGroup.cc.

References osl::PTYPE_MAX, and osl::PTYPE_PIECE_MIN.

## Member Function Documentation

bool osl::rating::RelativeKingXGroup::effectiveInCheck | ( | ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Group.

Definition at line 28 of file squareGroup.h.

int osl::rating::RelativeKingXGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env
| ) |  | const
| inlinevirtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 22 of file squareGroup.h.

References attack, osl::rating::RelativeKingX::index(), and osl::rating::RatingEnv::progress.

void osl::rating::RelativeKingXGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Group.

Definition at line 17 of file squareGroup.h.

References osl::rating::Group::showTopN().

## Member Data Documentation

bool osl::rating::RelativeKingXGroup::attack

Definition at line 15 of file squareGroup.h.

Referenced by findMatch().

The documentation for this struct was generated from the following files:

- squareGroup.h
- squareGroup.cc